petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexCreateHexBoxMesh

Creates a mesh on the tensor product of unit intervals (box) using hexahedra.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateHexBoxMesh(MPI_Comm comm, PetscInt dim, const PetscInt cells[], DMBoundaryType periodicX, DMBoundaryType periodicY, DMBoundaryType periodicZ, DM *dm)

Collective on MPI_Comm

### Input Parameters

| comm | - The communicator for the DM object
| dim | - The spatial dimension
| periodicX | - The boundary type for the X direction
| periodicY | - The boundary type for the Y direction
| periodicZ | - The boundary type for the Z direction
| cells | - The number of cells in each direction

### Output Parameter

dm -The DM object

### Keywords

DM, create

### See Also

DMPlexCreateBoxMesh(), DMSetType(), DMCreate()

Level:beginner
Location:src/dm/impls/plex/plexcreate.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex62.c.html